# Interface BaseComponentOptions

interface BaseComponentOptions {
className?: string;
name?: string;
}

#### Hierarchy (view full)

- BaseComponentOptions
  - TextTrackDisplayComponentOptions
  - ModalDialogComponentOptions
  - ClickableComponentOptions
  - SliderComponentOptions
  - RemainingTimeDisplayComponentOptions
  - VolumeControlComponentOptions
  - VolumePanelComponentOptions
  - MenuButtonComponentOptions

#####
Index

### Properties

className?
name?

## Properties

### `Optional` className

className?: string

### `Optional` name

name?: string